/*
 * RunCommunities.java
 *
 * Created late February
 */

package edu.ncsu.simulators.analysis;


import java.util.*;
import java.io.*;
/**
 *
 * @author  pirnal
 * @version 
 */
public class RunCommunities {
  /** Main class to call bipartite community search.
   *  
   *
   */

    /** Creates new RunCommunities */
    public RunCommunities() {
    }

    public static void main (String args[]) {
        GraphReader r = new GraphReader();
	HashSet cores = new HashSet();
 
        FileWriter outputFileWriter;       
        r.load(args[0]);
                
        Adjacency adjacencyTable = r.getAdjacency();

	cores = Bipartite.findAllBipartiteCores(adjacencyTable, 6 , 3);
	Iterator i = cores.iterator();

	/* Write all communities to the file */
        try{        
                outputFileWriter = new FileWriter( "k-communities.txt", true);
		while(i.hasNext()) {
		  outputFileWriter.write(i.next().toString());
		  outputFileWriter.write("\n");
		}
                outputFileWriter.close();
		
	} 

	catch( Exception e )
	{
		e.printStackTrace();
	}
    }

}
