/*
 * Created by IntelliJ IDEA.
 * User: root
 * Date: Mar 19, 2002
 * Time: 6:04:22 PM
 * To change template for new class use 
 * Code Style | Class Templates options (Tools | IDE Options).
 */
package edu.ncsu.simulators.concept;

import java.util.*;

public class FormalObject {
    String name;
    HashSet attributes;

    public FormalObject() {
        attributes = new HashSet();
    }

    public FormalObject(String nm) {
        this();
        name = new String(nm);
    }

    public HashSet getAttributes(){
        return attributes;
    }

    public boolean addAttribute(FormalAttribute att){
        attributes.add(att);
        att.addObject(this);

        return true;
    }

    public boolean removeAttribute(FormalAttribute att) {
        attributes.remove(att);
        att.removeObject(this);

        return true;
    }

    public String toString(){
        return name;
    }
}
