package edu.ncsu.simulators.dialogs;

import edu.ncsu.simulators.vectors.*;

import java.util.Hashtable;



public class Cache extends Hashtable {
    /*Empty Constructor*/
    public Cache()
    {
    }
    

    public void store(Query query, Answer answer) {
        //Store the value in the cache overwriting old value if it exists
        String str = query.toPreciseString();
        if(str == null)
            System.out.println("Query is null\n");
        else if (answer == null)
            System.out.println("Answer is null\n");
        else
            put(str, answer);
    }
    
    public Answer fetch(Query query)
    {
        return (Answer)get(query.toPreciseString());
    }
    
}    