/*
 * Created by IntelliJ IDEA.
 * User: root
 * Date: Mar 26, 2002
 * Time: 3:06:31 PM
 * To change template for new class use 
 * Code Style | Class Templates options (Tools | IDE Options).
 */
package edu.ncsu.simulators.evaluation;

import edu.ncsu.simulators.evaluation.results.*;
import edu.ncsu.simulators.service.*;
import java.util.*;

public class ServiceProviderEvaluation extends Evaluation {

	public ServiceProviderEvaluation(){

	}
	
    public void setEvaluation(ServiceProvider sp, Score score) {
        put(sp, score);
    }
    
    public Object put(Object sp, Object score) {
    	if ( !( (sp instanceof ServiceProvider) || 
    			(score instanceof Score) ) ) {
    		System.err.println("SPEvaluation cannot contain" +
    						   "mappings other than sp->score");
    		return null;
    	}
    	Object ret = get(sp);
    	
        super.put(sp, score);
        return ret;
    }
    
    public String toString(){
    	StringBuffer sb = new StringBuffer();
    	
    	Enumeration ite = keys();
    	
    	while (ite.hasMoreElements()){
    		ServiceProvider sp = (ServiceProvider)ite.nextElement();
    		Score score = (Score)get(sp);
    		
    		sb.append("\n" + sp.toString() + " : " + score.toString() + "\n");
    	}
    	
    	return sb.toString();
    }
}
