/*
 * Created by IntelliJ IDEA.
 * User: root
 * Date: Mar 26, 2002
 * Time: 2:54:26 PM
 * To change template for new class use 
 * Code Style | Class Templates options (Tools | IDE Options).
 */
package edu.ncsu.simulators.evaluation.results;

import edu.ncsu.simulators.agent.Agent;
import edu.ncsu.simulators.evaluation.Value;
import edu.ncsu.simulators.service.ServiceProvider;

public class Score {
    private int agentID;
    private ServiceProvider serviceProvider;
    private Value score;

    public Score(int agID, ServiceProvider ser, Value sc) {
        agentID = agID;
        serviceProvider = ser;
        score = sc;
    }

    public void setAgentID(int agID){
        agentID = agID;
    }

    public void setServiceProvider(ServiceProvider ser) {
        serviceProvider = ser;
    }

    public void setValue(Value val) {
        score = val;
    }

    public int getAgentID(){
        return agentID;
    }

    public ServiceProvider getServiceProvider(){
        return serviceProvider;
    }

    public Value getValue(){
        return score;
    }
    
    public String toString(){
    	StringBuffer sb = new StringBuffer();
    	
    	sb.append("\n*****************\n");
    	sb.append("RatingAgent = "+agentID+"\n");
    	sb.append("ServiceProvider = "+serviceProvider.toString()+"\n");
    	sb.append("Score = "+score.toString()+"\n");
    	sb.append("*****************");
    	
    	return sb.toString();
    }
    
    public Value difference(Score hisScore){
    	return score.difference(hisScore.getValue());
    }

}
