/*
 * ScoreReader.java
 *
 * Created on November 7, 2001, 4:47 PM
 */

package edu.ncsu.simulators.analysis;

import java.io.*;
import java.util.*;
/**
 *
 * @author  pirnal
 * @version 
 */
public class ScoreReader {
  /** Used to read the count of good and bad answers from the .statistics files.
   *  This file is just to read everything into a vector, not to calculate 
   *  anything.
   *  All of this can be added to the simulation to make life easier. 
   */

    /** Creates new ScoreReader */
    public ScoreReader() {
    }
    public static Vector parse(int numofAgents, String s){
        
        FileReader outputFileReader;
        Vector answers = new Vector();
        StreamTokenizer tokenizer = null;
        Double number = new Double(0.0);
        Vector allAnswers = new Vector();
        
        Vector oneQuestion = new Vector(); //This has three fields, goods, bad, no
        
        for (int i=0; i<numofAgents; i++){
	  //find the file
            try 
	    {
		outputFileReader = new FileReader(s+"/Agent"+i+".STATISTICS");
                tokenizer = new StreamTokenizer(outputFileReader);
                tokenizer.eolIsSignificant( true );
		tokenizer.whitespaceChars( ' ', ' ' );			
			
            }
            catch (FileNotFoundException p){
                System.out.println("file not found " + s+"/AGENT_000"+i+".STATISTICS");
            }
            try
		{	
			while( true )
			{
				tokenizer.nextToken();
				
				if ( tokenizer.ttype == StreamTokenizer.TT_EOL )
				{
					// ignore end-of-line
				}
				else if ( tokenizer.ttype == StreamTokenizer.TT_EOF )
				{
					// stop parsing at end of file
					break;
				}				
				else if ( tokenizer.sval.equalsIgnoreCase("GOOD") ||
                                            tokenizer.sval.equalsIgnoreCase("BAD"))
				{
                                         
					while ( tokenizer.nextToken() != StreamTokenizer.TT_EOL )
					{									
						number = new Double(tokenizer.nval);
						oneQuestion.add( number );
                                               // System.out.println( number.doubleValue() );					
					}					
				}
				else if (tokenizer.sval.equalsIgnoreCase("NO"))
				{
					
					while ( tokenizer.nextToken() != StreamTokenizer.TT_EOL )
					{									
						number = new Double(tokenizer.nval);
						oneQuestion.add( number );
                                                //System.out.println( number.doubleValue() );					
					}
                                        answers.add(oneQuestion.clone());
                                         oneQuestion.clear();
                        		
				}
				
			}	
		}
		catch( Exception e )
		{
			e.printStackTrace();
		}	
                
             allAnswers.add(answers.clone());         
	     answers.clear();
        }
            return allAnswers;
    }
}
