package edu.ncsu.simulators.analysis;

import java.util.*;
import java.io.*;

/**
 * Search.java
 *
 *
 * Created: Wed Feb  5 00:20:06 2003
 *
 * @author <a href="mailto:pyolum@eos.ncsu.edu">Pinar Yolum</a>
 * @version
 */

public class Search {

    //White = 0
    //Gray = 1
    //Black = 2

    public Search (){
	
    }


    public static void init(int[] color, int[] parent, int[] cc, Adjacency a) {

	for (int i=0; i<a.size(); i++) {
	    color[i] = 0;
	    parent[i] = -1;
	    cc[i] = 0;
	    
	} // end of for ()
	
    }

    public static int numberOfComponents(int[] color, int[] parent, int[] cc, Adjacency a) {

	int components = 0;
	for (int i=0; i<a.size(); i++) {
	    if (color[i]==0) {

		System.out.println(" i " + i);
		
		components++;
		visit(i, components, color, parent, cc, a);
	    } // end of if ()
	} // end of for ()

	return components;
    }

    public static void visit(int u, int components, int[] color, int[] parent, int[] cc, Adjacency a) {

	int v = 0;
	color[u] = 1;
	cc[u] = components;
	
	//Treat the graph undirected
	TreeSet t = Metrics.findOutgoingNodes(a, u);
	t.addAll(Metrics.findIncomingNodes(a, u));
	Iterator i = t.iterator();

	while (i.hasNext()) {
	    v = ((Integer)i.next()).intValue();
	    if (color[v] == 0) {
		parent[v] = u;
		visit(v, components, color, parent, cc, a);
	    } // end of if ()
	} // end of while ()

	color[u] = 2;
	
    }
    
}// Search
