/*
 * State2Subdue.java
 *
 * Created late February
 */

package edu.ncsu.simulators.analysis;


import java.util.*;
import java.io.*;


public class State2Subdue {
  /** Reads in a neighbor state file and generated adjacency,
    *  expertise table, etc.  
    */

  public static void main (String args[]) {
    GraphReader r = new GraphReader();
        
    r.load(args[0]);
                
    Adjacency adjacencyTable = r.getAdjacency();

    SubdueWriter s = new SubdueWriter(adjacencyTable, args[1]);
    s.write();
  }
}
