/*
 * Created by IntelliJ IDEA.
 * User: root
 * Date: Mar 23, 2002
 * Time: 5:34:26 PM
 * To change template for new class use 
 * Code Style | Class Templates options (Tools | IDE Options).
 */
package edu.ncsu.simulators.evaluation.results;

import edu.ncsu.simulators.agent.Agent;
import edu.ncsu.simulators.evaluation.results.*;
import edu.ncsu.simulators.service.*;
import java.util.*;

public class ScoreTable {

    Vector scores;

	public ScoreTable(){
		scores = new Vector();
	}
	
	public ScoreTable(ScoreTable table){
		scores = new Vector();
		scores.addAll(table.scores);
	}
	
	public ScoreTable(Vector scores){
		this.scores = scores;
	}
	
	public void addScore(Score score){
		scores.add(score);
	}
		
    public Iterator getServiceProviders(){
        HashSet sps = new HashSet();

        for (int i = 0; i < scores.size(); i++) {
            Score score = (Score) scores.elementAt(i);
            sps.add(score.getServiceProvider());
        }

        return sps.iterator();
    }
    
    public Iterator getRatingAgents(){
    	HashSet ags = new HashSet();
    	
    	for (int i = 0; i < scores.size(); i++){
    		Score score = (Score)scores.elementAt(i);
    		ags.add(new Integer(score.getAgentID()));
    	}
    	
    	return ags.iterator();
    }

    public Iterator getScoresForServiceProvider(ServiceProvider sp){
        Vector serviceScores = new Vector();

        for (int i = 0; i < scores.size(); i++) {
            Score score = (Score) scores.elementAt(i);
            if (score.getServiceProvider().equals(sp)) {
                serviceScores.add(score);
            }
        }

        return serviceScores.iterator();
    }

}
