package edu.ncsu.simulators.policies;

import edu.ncsu.simulators.Constants;
import edu.ncsu.simulators.policies.Heuristics;
import edu.ncsu.simulators.util.Statistics;
import edu.ncsu.simulators.agent.AgentModel;
import edu.ncsu.simulators.agent.AgentModels;
import edu.ncsu.simulators.vectors.*;

import edu.ncsu.simulators.agent.Neighbors;

import java.util.Iterator;
import java.util.Random;
import java.util.Vector;

/**
 * AnsweringPolicy_Reciprocal.java
 *
 *
 * Created: Tue Nov 26 09:48:52 2002
 *
 * @author <a href="mailto:pyolum@eos.ncsu.edu">Pinar Yolum</a>
 * @version
 */


public class AnsweringPolicy_Reciprocal extends AnsweringPolicy_Standard {
    public AnsweringPolicy_Reciprocal (){
	super();
    }

    public Answer generateAnswer( AgentModel modelQuestioner, Query query, Expertise expertise, Interests interest, int myId, Neighbors neighbors) {

	Answer finalAnswer = null;
	if (neighbors.contains(modelQuestioner.getID())) {
	    finalAnswer = generateAnswerIfExpert(modelQuestioner, query,  expertise);
	} // end of if
	
	return finalAnswer;
    }
    
}// AnsweringPolicy_Reciprocal
