package edu.ncsu.simulators.policies;

import edu.ncsu.simulators.Constants;
import edu.ncsu.simulators.policies.Heuristics;
import edu.ncsu.simulators.util.Statistics;
import edu.ncsu.simulators.agent.AgentModel;
import edu.ncsu.simulators.agent.AgentModels;
import edu.ncsu.simulators.vectors.*;
import edu.ncsu.simulators.agent.Neighbors;

import java.util.Iterator;
import java.util.Random;
import java.util.Vector;

/**
 * AnsweringPolicy_Tag.java
 *
 *
 * Created: Mon Dec  2 17:34:56 2002
 *
 * @author <a href="mailto:pyolum@eos.ncsu.edu">Pinar Yolum</a>
 * @version
 */

public class AnsweringPolicy_Tag extends AnsweringPolicy_Standard implements AnsweringPolicy{
    public AnsweringPolicy_Tag (){
	
    }

    public Answer generateAnswer( AgentModel modelQuestioner, Query query, Expertise expertise, Interests interest, int myId, Neighbors neighbors) {

	Answer finalAnswer = null;

	if ((Math.abs(myId-modelQuestioner.getID())%2) ==0) {

	    finalAnswer = generateAnswerIfExpert(modelQuestioner, query,  expertise);
	} // end of if
	
	return finalAnswer;
    }
    
    
}// AnsweringPolicy_Tag
