package edu.ncsu.simulators.analysis;

import java.util.*;
import java.io.*;
/**
 * ProduceDot.java
 *
 *
 * Created: Sun Nov 10 17:51:31 2002
 *
 * @author <a href="mailto:pyolum@eos.ncsu.edu">Pinar Yolum</a>
 * @version
 */

public class ProduceDot {
    public ProduceDot (){
	
    }
    public static void main (String args[]) {    
        GraphReader r = new GraphReader();
        
        r.load(args[0]+".STATE");
                
        Adjacency adjacencyTable = r.getAdjacency();
     
	//        Vector agents = r.getAgents();

        Vector edges = adjacencyTable.getEdges();

        FileWriter outputFileWriter;
             
        //int numberofAgents = adjacencyTable.size();
        
	try
	{
		outputFileWriter = new FileWriter( args[0]+".dot", false);	     
		outputFileWriter.write("digraph G { \n");
		
	        for (int i =0; i<edges.size(); i=i+2){
		    outputFileWriter.write(((Integer)edges.elementAt(i)).toString());

		    outputFileWriter.write("->");
		    outputFileWriter.write(((Integer)edges.elementAt(i+1)).toString());
		    outputFileWriter.write(";");
		    outputFileWriter.write("\n");
                }
		outputFileWriter.write("} \n");
	        outputFileWriter.close();


	}	
	catch( Exception e )
	{
		e.printStackTrace();
	}
    }


}// ProduceDot
