package edu.ncsu.simulators.analysis;

import java.util.*;
import java.io.*;
/**
 * ProduceGDL.java
 *
 *
 * Created: Tue Nov 19 13:17:42 2002
 *
 * @author <a href="mailto:pyolum@eos.ncsu.edu">Pinar Yolum</a>
 * @version
 */

public class ProduceGDL {

    public ProduceGDL (){
	
    }

    public static void main (String args[]) {    
        GraphReader r = new GraphReader();
        
        r.load(args[0]+".STATE");
                
        Adjacency adjacencyTable = r.getAdjacency();
     
	//        Vector agents = r.getAgents();

        Vector edges = adjacencyTable.getEdges();

        FileWriter outputFileWriter;
             
        int numberofAgents = adjacencyTable.size();
        
	try
	{
		outputFileWriter = new FileWriter( args[0]+".GDL", false);	     
		outputFileWriter.write("graph: { \n\t");

		for (int j = 0; j<numberofAgents; j++ ) {

		    outputFileWriter.write("node: {title: \""+j+"\"}\n\t");
		    
		} // end of for ()
		
		
	        for (int i =0; i<edges.size(); i=i+2){

		    outputFileWriter.write("edge: {source: \""+
					   ((Integer)edges.elementAt(i)).toString()
+"\" target: \""+ 
					   ((Integer)edges.elementAt(i+1)).toString()
+"\"} \n\t");

                }
		outputFileWriter.write("} \n");
	        outputFileWriter.close();


	}	
	catch( Exception e )
	{
		e.printStackTrace();
	}
    }

}// ProduceGDL
