
package edu.ncsu.simulators.concept;

import java.util.Comparator;

public class ConceptComparator implements Comparator {

	/**
	 * @see Comparator#compare(Object, Object)
	 */
	public int compare(Object o1, Object o2) {
		if ( ! ((o1 instanceof ObjectConcept) || (o2 instanceof ObjectConcept)) ){
			throw new ClassCastException("Using ConceptComparator to compare " +
									     "non-ObjectConcept objects");
		}
		
		return ( ((ObjectConcept)o1).size() - ((ObjectConcept)o2).size() );
	}

}
