package edu.ncsu.simulators.evaluation.results;

import edu.ncsu.simulators.classification.Category;
import edu.ncsu.simulators.evaluation.*;

public class Rating {
	private float rating;
	
	public Rating(Value v){
		update(v);
	}
	
    public boolean update(Value v){
    	boolean ret = false;
    	
    	if (v instanceof FloatValue) {
			float f = ((FloatValue)v).getValue();
			if ( (0.0 <= f) && (f <=1.0) ) {
				ret = true;
				rating = f;
			}
		}
		return ret;
    }    	
	
    public Value getValue(){return new FloatValue(rating);}
}
