package edu.ncsu.simulators.policies;

import edu.ncsu.simulators.agent.AgentModel;
import edu.ncsu.simulators.agent.AgentModels;
import edu.ncsu.simulators.vectors.*;

import edu.ncsu.simulators.agent.Neighbors;

import java.util.Iterator;
import java.util.Vector;

/**
 * Always answer. The answer vector is all 0s.
 * This is to ensure that you always give a bad answer.
 *
 * @author pirnal
*/
public class AnsweringPolicy_Bad implements AnsweringPolicy
{
    public AnsweringPolicy_Bad()
    {

    }


    public Answer generateAnswer( AgentModel modelQuestioner, Query query, Expertise expertise, Interests interest, int myId, Neighbors neighbors )
    {

	Answer answer = new Answer();
	double answerComponent = 0;
	Object temp = null;
			
	Iterator iteratorExpertiseComponents = expertise.iterator();

	while( iteratorExpertiseComponents.hasNext() )
	    {

		temp = iteratorExpertiseComponents.next();
		answer.add( new Double(answerComponent) );
	    }


	return answer;	
    }
	
}
