package edu.ncsu.simulators.policies;

import edu.ncsu.simulators.Constants;
import edu.ncsu.simulators.agent.AgentModel;
import edu.ncsu.simulators.agent.AgentModels;
import edu.ncsu.simulators.agent.Neighbors;
import edu.ncsu.simulators.policies.Heuristics;
import edu.ncsu.simulators.vectors.Query;

import java.util.Hashtable;
import java.util.Iterator;

/**
 * ReferringPolicy_Tag.java
 *
 *
 * Created: Sun Mar  9 12:46:34 2003
 *
 * @author <a href="mailto:pyolum@eos.ncsu.edu">Pinar Yolum</a>
 * @version
 */

public class ReferringPolicy_Tag extends ReferringPolicy_Combined {
    public ReferringPolicy_Tag (){
	
    }

    public Iterator getNeighborsToReferTo( AgentModel modelQuestioner, Query query, Neighbors neighbors, AgentModels agentModels, int myId) {


	if ((Math.abs(myId-modelQuestioner.getID())%2) ==0) {

	    return getNeighborsWithSufficientSimilarity( query, neighbors, agentModels, Constants.SIMILARITY_THRESHOLD_FOR_REFERING_QUESTIONER_TO_NEIGHBOR );
	} // end of if
	
	else {

	    return null;
	} // end of else

    }
    


}// ReferringPolicy_Tag
