package edu.ncsu.simulators.vectors;

import net.n3.nanoxml.IXMLElement;
/**
 * DomainSociability.java
 *
 *
 * Created: Tue Jan 21 10:32:19 2003
 *
 * @author <a href="mailto:pyolum@eos.ncsu.edu">Pinar Yolum</a>
 * @version
 */

public class DomainSociability extends Sociability {

    public DomainSociability (){
	
    }

    public Sociability copy() {
	return (Sociability)copy( new DomainSociability() );
    }
	
    //========================================================================		

    public DomainSociability( int dimensions) {
	setSize( dimensions );
    }	
	
    //========================================================================	
	
    public Sociability parse( IXMLElement xmlSociability )
    {
	return (Sociability)parseFromXML( xmlSociability, new DomainSociability() );
    }	

    public void toTruncatedXML( IXMLElement xmlSociability){ 
	super.toTruncatedXML(xmlSociability);
    }
	
    //========================================================================		

    public int getSize(){
	return size();
    }

}// DomainSociability
