/**	
 *	Simulator
 *	Mike Suralik
 *	September 2001 
 */

package edu.ncsu.simulators.analysis;

import java.io.File;
import java.io.FileInputStream;
import java.util.Properties;
	
public class Constants
{
	private static Properties properties = new Properties();
	
	
	public static final String XML_TAG_AGENTS = "Agents";			
	public static final String XML_TAG_AGENT = "Agent";		
	public static final String XML_TAG_EXPERTISE = "Expertise";		
	public static final String XML_TAG_INTERESTS = "Interests";		
	public static final String XML_TAG_NEIGHBORS = "Neighbors";			
	public static final String XML_TAG_AGENT_MODEL = "AgentModel";				
	
	public static final String XML_ATTRIBUTE_ID = "id";		
	public static final String XML_ATTRIBUTE_SOCIABILITY = "sociability";			

	public static final String XML_TAG_SIMULATION_GENERATION = "SimulationGeneration";			
	public static final String XML_TAG_DIMENSION = "Dimension";		
	public static final String XML_TAG_GROUP = "Group";		

	public static final String XML_ATTRIBUTE_POPULATION_SIZE = "agents";		
	public static final String XML_ATTRIBUTE_DIMENSIONS = "dimensions";	
	public static final String XML_ATTRIBUTE_PERCENT_OF_POPULATION = "percentOfPopulation";			
	public static final String XML_ATTRIBUTE_INDIVIDUALS = "individuals";		
	public static final String XML_ATTRIBUTE_VALUE = "value";		
	public static final String XML_ATTRIBUTE_LOW = "low";		
	public static final String XML_ATTRIBUTE_HIGH = "high";		
	
      	public static final String XML_TAG_POLICIES = "Policies";	
}
