
package edu.ncsu.simulators.concept;

import java.util.*;

import edu.ncsu.simulators.util.SetOperations;

public class ObjectConcept extends Concept {
	HashSet attributes;
	private static Comparator comparator;
	
	public ObjectConcept(HashSet objects){
		Iterator ite;
		
		addAll(objects);
		ite = objects.iterator();
		HashSet temp = new HashSet();		
		while (ite.hasNext()){
			FormalObject obj = (FormalObject)ite.next();
			temp = SetOperations.intersection(temp,obj.getAttributes());
		}
		attributes = temp;
	}
	
	public Iterator getObjects() {
		return iterator();
	}
	
	public Iterator getAttributes() {
		return attributes.iterator();
	}
	
}
